<div class="order-by-request">
    <h5>Thiết Kế Theo Yêu Cầu</h5>
    <br />
    <form [formGroup]="formRequest">
        <div class="form-group row">
            <label for="name" class="col-sm-2 col-form-label">Tên Khách Hàng</label>
            <div class="col-sm-10">
                <input type="text"
                    [ngClass]="{'is-invalid': (formRequest.controls.customerName.status == 'INVALID' && formRequest.controls.customerName.touched == true), 'is-valid': formRequest.controls.customerName.status == 'VALID', 'form-control': true}"
                    id="name" formControlName="customerName" name='name'>
            </div>
            <ng-container
                *ngIf="formRequest.controls.customerName.status == 'INVALID' && formRequest.controls.customerName.touched == true">
                <div class="col-sm-2 col-md-2"></div>
                <div class="col-12 col-sm-10 col-md-10 errors">
                    <small id="passwordHelp" class="text-danger">
                        Tên khách hàng không hợp lệ
                    </small>
                </div>
            </ng-container>
        </div>
        <div class="form-group row">
            <label for="staticEmail" class="col-sm-2 col-form-label">Email</label>
            <div class="col-sm-10">
                <input type="email"
                    [ngClass]="{'is-invalid': (formRequest.controls.email.status == 'INVALID' && formRequest.controls.email.touched == true), 'is-valid': (formRequest.controls.email.status == 'VALID' && formRequest.controls.email.touched == true), 'form-control': true}"
                    id="staticEmail" formControlName="email">
            </div>
            <ng-container
                *ngIf="formRequest.controls.email.status == 'INVALID' && formRequest.controls.email.touched == true">
                <div class="col-sm-2 col-md-2"></div>
                <div class="col-12 col-sm-10 col-md-10 errors">
                    <small id="passwordHelp" class="text-danger">
                        Email không hợp lệ
                    </small>
                </div>
            </ng-container>
        </div>
        <div class="form-group row">
            <label for="phoneNumber" class="col-sm-2 col-form-label">Số Điện Thoại</label>
            <div class="col-sm-10">
                <input type="tel"
                    [ngClass]="{'is-invalid': (formRequest.controls.phoneNumber.status == 'INVALID' && formRequest.controls.phoneNumber.touched == true), 'is-valid': formRequest.controls.phoneNumber.status == 'VALID', 'form-control': true}"
                    id="phoneNumber" formControlName="phoneNumber">
            </div>
            <ng-container
                *ngIf="formRequest.controls.phoneNumber.status == 'INVALID' && formRequest.controls.phoneNumber.touched == true">
                <div class="col-sm-2 col-md-2"></div>
                <div class="col-12 col-sm-10 col-md-10 errors">
                    <small id="passwordHelp" class="text-danger">
                        Số điện thoại không hợp lệ
                    </small>
                </div>
            </ng-container>
        </div>
        <div class="form-group row">
            <label for="address" class="col-sm-2 col-form-label">Địa Chỉ</label>
            <div class="col-sm-10">
                <input type="text"
                    [ngClass]="{'is-invalid': (formRequest.controls.address.status == 'INVALID' && formRequest.controls.address.touched == true), 'is-valid': formRequest.controls.address.status == 'VALID', 'form-control': true}"
                    id="address" formControlName="address">
            </div>
            <ng-container
                *ngIf="formRequest.controls.address.status == 'INVALID' && formRequest.controls.address.touched == true">
                <div class="col-sm-2 col-md-2"></div>
                <div class="col-12 col-sm-10 col-md-10 errors">
                    <small id="passwordHelp" class="text-danger">
                        Địa chỉ không hợp lệ
                    </small>
                </div>
            </ng-container>
        </div>
        <div style="display:none;">
            <div class="col-sm-10">
                <textarea class="form-control" formControlName="describeProduct" [(ngModel)]="describeProduct"
                    name='describeProduct'></textarea>
            </div>
        </div>
        <div class="form-group row">
            <label for="describeProduct" class="col-sm-2 col-form-label">Mô Tả Sản Phẩm</label>
            <app-word-editor class="col-sm-10" [isDefaultConfig]="false" id="describeProduct"
                (onChangeInput)="onChange($event)">
            </app-word-editor>
        </div>
        <div class="btn-group">
            <button id="sendRequest" color="primary" mat-raised-button (click)="sendRequest()"
                [disabled]="formRequest.invalid">GỬI</button>&nbsp;
            <button id="saveInfo" color="accent" mat-raised-button (click)="onClose()">ĐÓNG</button>
        </div>
    </form>
</div>